/*
 *                     The OCaml-gtk interface
 *
 * Copyright (c) 1997, 1998   David Monniaux & Pascal Cuoq
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * [see the file COPYING.LIB]
 */

/* $Id: config.h,v 1.2 1998/11/20 10:40:17 monniaux Exp $ */

#ifdef __GNUC__
#define BEGIN_LOCAL_ARRAY(type, name, n) type name[n]
#define END_LOCAL_ARRAY(type, name, n)
#else
#define BEGIN_LOCAL_ARRAY(type, name, n) type *name = malloc(sizeof(type)*n)
#define END_LOCAL_ARRAY(type, name, n) free(name)
#endif
